#!/bin/bash
LOCKFILE=/var/run/artix-console.lock
NOTOFY_FILE=/linuxcash/cash/data/tmp/notification.json
function print_help() {
        echo "-l        блокировать экран кассира" 
        echo "-u        разблокировать экран кассира" 
        echo "-m        послать сообщение на экран кассира" 
        echo "-d        удалить сообщение с экрана кассира" 
}
function make_block() {
        touch $LOCKFILE
}
function del_block() {
        rm -f $LOCKFILE
}
function push_message() {
        message=`cat message.txt`
        echo "{\"message\":\"$message\", \"action\": \"undefined\"}" > $NOTOFY_FILE.tmp
        mv $NOTOFY_FILE.tmp $NOTOFY_FILE
}
function drop_message() {
        echo "{\"message\":\"\", \"action\": \"undefined\"}" > $NOTOFY_FILE.tmp
        mv $NOTOFY_FILE.tmp $NOTOFY_FILE
}
if [ $# = 0 ]; then
        print_help
fi
while getopts ":lumd" opt ;
do
        case $opt in
        l) make_block
        ;;
        u) del_block
        ;;
        m) push_message
        ;;
        d) drop_message
        ;;
        *) print_help
        exit 1
        esac
done
